## org.apache.xml.serializer
Class ElemDesc

    java.lang.Object
      org.apache.xml.serializer.ElemDesc

    public final class ElemDesc

extends java.lang.Object

This class has a series of flags (bit values) that describe an HTML element This class is public because XSLTC uses it, it is not a public API.

Usage:
  **For internal use only**

Field Summary
`static int` `ATTREMPTY` Bit position if this attribute type is an empty type.
`static int` `ATTRURL` Bit position if this attribute type is a URL.

Method Summary
`boolean` `isAttrFlagSet(java.lang.String name, int flags)` Tell if any of the bits of interest are set for a named attribute type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRURL

    public static final int ATTRURL

  Bit position if this attribute type is a URL.

  See Also:
    Constant Field Values

### ATTREMPTY

    public static final int ATTREMPTY

  Bit position if this attribute type is an empty type.

  See Also:
    Constant Field Values

Method Detail

### isAttrFlagSet

    public boolean isAttrFlagSet(java.lang.String name,
                                 int flags)

  Tell if any of the bits of interest are set for a named attribute type.

  Parameters:
    `name` - non-null reference to attribute name, in any case.
    `flags` - flag mask.
  Returns:
    true if any of the flags are set for the named attribute.

Copyright © 2005 Apache XML Project. All Rights Reserved.